package com.flyfish.framework.compiler.support;

import javax.tools.SimpleJavaFileObject;
import java.io.IOException;
import java.net.URI;

/**
 * 以文本存在的java对象
 *
 * @author wangyu
 */
public class StringJavaObject extends SimpleJavaFileObject {

    private final String content;

    public StringJavaObject(String filename, String content) {
        super(stringJavaObjectUri(filename), Kind.SOURCE);
        this.content = content;
    }

    /**
     * 字符串java对象uri
     *
     * @param name 文件名
     * @return 结果
     */
    private static URI stringJavaObjectUri(String name) {
        return URI.create("string:///" + name + Kind.SOURCE.extension);
    }

    @Override
    public CharSequence getCharContent(boolean ignoreEncodingErrors) {
        return content;
    }
}
