package com.flyfish.framework.domain.po;

import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.enums.RoleType;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 角色（权限）
 *
 * @author wangyu
 */
@Document
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class Role extends AuditDomain {

    /**
     * 描述
     */
    private String description;

    /**
     * 是否管理员
     */
    private Boolean admin;

    /**
     * 是否系统内置
     */
    private boolean system;

    /**
     * 所属平台
     */
    private RoleType type;

    /**
     * 角色拥有的权限
     */
    @DBRef
    private List<Permission> permissions;
}
