package com.flyfish.framework.domain;


import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.base.TreeQo;
import com.flyfish.framework.domain.po.Permission;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 权限查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class PermissionQo extends TreeQo<Permission> {

    private Boolean admin;

    private String parentId;

    private List<String> parentIds;

    @Override
    public CriteriaBuilder<Permission> criteriaBuilder() {
        return super.criteriaBuilder().with("admin", "parentId")
                .with("parentIds", "parentId", CriteriaBuilder.Builders.IN);
    }
}
