package com.flyfish.framework.repository;

import com.flyfish.framework.domain.po.User;

import java.util.Optional;

/**
 * 用户repo
 *
 * @author wangyu
 */
public interface UserRepository extends DefaultRepository<User> {

    /**
     * 通过用户名密码查询用户
     *
     * @param username 用户名
     * @param password 密码
     * @return 结果
     */
    Optional<User> findByUsernameAndPassword(String username, String password);

    /**
     * 通过用户名查询
     *
     * @param username 用户名
     * @return 结果
     */
    Optional<User> findByUsername(String username);
}
